using IWS5.LdapClient.Interfaces;
using Microsoft.Extensions.DependencyInjection;

namespace IWS5.LdapClient.Extensions;

public static class ServiceCollectionExtensions
{
    public static void RegisterLdapClient(this IServiceCollection services)
    {
        services.ConfigureOptions<LdapConfigurationSetup>();
        services.AddScoped<ILdapClient, LdapClient>();
    }
}
